import { defineComponent, $prefix, setup as _setup } from "@dftvue2-opentiny/vue-common";
import { renderless, api } from "@dftvue2-opentiny/vue-renderless/multi-select/vue";
import { IconChevronDown } from "@dftvue2-opentiny/vue-icon";
import Button from "@dftvue2-opentiny/vue-button";
import Wheel from "@dftvue2-opentiny/vue-wheel";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  name: $prefix + "MultiSelect",
  components: {
    IconChevronDown: IconChevronDown(),
    TinyButton: Button,
    TinyWheel: Wheel
  },
  props: {
    dataSource: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    defaultSelectedArray: {
      type: Array,
      default: function _default2() {
        return [];
      }
    }
  },
  setup: function setup(props, context) {
    return _setup({
      props,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm$dataSource$_vm$st, _vm$dataSource$_vm$st2, _vm$dataSource$_vm$st3;
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-mobile-multi-select"
  }, [_c("div", {
    staticClass: "tiny-mobile-multi-select__header"
  }, [_c("div", {
    ref: "headerBox",
    staticClass: "tiny-mobile-multi-select__header__flexCenter"
  }, [_c("div", {
    staticClass: "tiny-mobile-multi-select__header__calc"
  }, _vm._l(_vm.dataSource, function(item, index) {
    var _vm$state$headerInfo$, _vm$state$headerInfo$2, _vm$state$headerInfo$3, _vm$state$headerInfo$4, _vm$state$headerInfo$5;
    return _c("div", {
      key: index,
      ref: "label",
      refInFor: true,
      staticClass: "tiny-mobile-multi-select__header__item"
    }, [_c("div", {
      class: ["tiny-mobile-multi-select__header__label", (_vm$state$headerInfo$ = _vm.state.headerInfo[index]) !== null && _vm$state$headerInfo$ !== void 0 && _vm$state$headerInfo$.isSelected ? "tiny-mobile-multi-select__header__active" : ""]
    }, [!((_vm$state$headerInfo$2 = _vm.state.headerInfo[index]) !== null && _vm$state$headerInfo$2 !== void 0 && _vm$state$headerInfo$2.isSelected) ? _c("span", [_vm._v(_vm._s(item.title))]) : _c("span", [_vm._v(_vm._s((_vm$state$headerInfo$3 = _vm.state.headerInfo[index]) === null || _vm$state$headerInfo$3 === void 0 ? void 0 : _vm$state$headerInfo$3.title))])]), _c("div", {
      class: ["tiny-mobile-multi-select__header__icon", (_vm$state$headerInfo$4 = _vm.state.headerInfo[index]) !== null && _vm$state$headerInfo$4 !== void 0 && _vm$state$headerInfo$4.isSelected ? "tiny-mobile-multi-select__header__active" : ""],
      style: {
        transform: (_vm$state$headerInfo$5 = _vm.state.headerInfo[index]) !== null && _vm$state$headerInfo$5 !== void 0 && _vm$state$headerInfo$5.isUP ? "rotate(180deg)" : "none"
      }
    }, [_c("IconChevronDown")], 1)]);
  }), 0), _vm._l(_vm.dataSource, function(item, index) {
    var _vm$state$headerInfo$6, _vm$state$headerInfo$7, _vm$state$headerInfo$8, _vm$state$headerInfo$9, _vm$state$headerInfo$10;
    return _c("div", {
      key: index,
      staticClass: "tiny-mobile-multi-select__header__item",
      style: _vm.state.labelsStyle[index],
      on: {
        "click": function click($event) {
          return _vm.handleClick(index);
        }
      }
    }, [_c("div", {
      class: ["tiny-mobile-multi-select__header__label", (_vm$state$headerInfo$6 = _vm.state.headerInfo[index]) !== null && _vm$state$headerInfo$6 !== void 0 && _vm$state$headerInfo$6.isSelected ? "tiny-mobile-multi-select__header__active" : ""]
    }, [!((_vm$state$headerInfo$7 = _vm.state.headerInfo[index]) !== null && _vm$state$headerInfo$7 !== void 0 && _vm$state$headerInfo$7.isSelected) ? _c("span", [_vm._v(_vm._s(item.title))]) : _c("span", [_vm._v(_vm._s((_vm$state$headerInfo$8 = _vm.state.headerInfo[index]) === null || _vm$state$headerInfo$8 === void 0 ? void 0 : _vm$state$headerInfo$8.title))])]), _c("div", {
      class: ["tiny-mobile-multi-select__header__icon", (_vm$state$headerInfo$9 = _vm.state.headerInfo[index]) !== null && _vm$state$headerInfo$9 !== void 0 && _vm$state$headerInfo$9.isSelected ? "tiny-mobile-multi-select__header__active" : ""],
      style: {
        transform: (_vm$state$headerInfo$10 = _vm.state.headerInfo[index]) !== null && _vm$state$headerInfo$10 !== void 0 && _vm$state$headerInfo$10.isUP ? "rotate(180deg)" : "none"
      }
    }, [_c("IconChevronDown")], 1)]);
  })], 2)]), _vm.state.showWheel ? _c("div", {
    class: ["tiny-mobile-multi-select__content", !((_vm$dataSource$_vm$st = _vm.dataSource[_vm.state.headerIndex]) !== null && _vm$dataSource$_vm$st !== void 0 && _vm$dataSource$_vm$st.hasFooter) ? "noFooter" : ""]
  }, [_c("tiny-wheel", {
    attrs: {
      "dataSource": _vm.state.wheelData,
      "defaultSelectedIndexs": _vm.state.defaultSelectedIndexs,
      "hasFooter": (_vm$dataSource$_vm$st2 = _vm.dataSource[_vm.state.headerIndex]) === null || _vm$dataSource$_vm$st2 === void 0 ? void 0 : _vm$dataSource$_vm$st2.hasFooter
    },
    on: {
      "change": _vm.wheelChange,
      "clickWheelItem": _vm.clickWheelItem
    }
  })], 1) : _vm._e(), _vm.state.showWheel && (_vm$dataSource$_vm$st3 = _vm.dataSource[_vm.state.headerIndex]) !== null && _vm$dataSource$_vm$st3 !== void 0 && _vm$dataSource$_vm$st3.hasFooter ? _c("div", {
    staticClass: "tiny-mobile-multi-select__footer"
  }, [_c("tiny-button", {
    attrs: {
      "round": "",
      "size": "large"
    },
    on: {
      "click": _vm.reset
    }
  }, [_vm._v(_vm._s(_vm.t("ui.base.reset")))]), _c("tiny-button", {
    attrs: {
      "round": "",
      "size": "large",
      "type": "primary"
    },
    on: {
      "click": _vm.confirm
    }
  }, [_vm._v(_vm._s(_vm.t("ui.button.confirm")))])], 1) : _vm._e()]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobile = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  mobile as default
};
